local TankAssist_EventFrame, events = CreateFrame("FRAME"), {}
local TankAssist_TankToAssist = ""
local TankAssist_Timer = 0
local TankAssist_TimerInterval = .1

TankAssist_EventFrame:SetScript("OnUpdate", function(self, elapsed)
	TankAssist_Timer = TankAssist_Timer + elapsed
	if TankAssist_Timer > TankAssist_TimerInterval then
		TankAssist_SetTank()
		TankAssist_Timer = 0
	end
end)

SLASH_TANKASSIST1 = "/settank"
function SlashCmdList.TANKASSIST(msg, editbox)
	local taArgv, _ = SecureCmdOptionParse(msg)
	if (taArgv == nil) then return end

	TankAssist_TankToAssist = UnitName("target") or ""
end

function TankAssist_SetTank()
	if TankAssist_TankToAssist ~= "" and not UnitAffectingCombat("player") then
		local btnName = "Assist"
		local btnText = "/assist [nomod: shift] " .. TankAssist_TankToAssist .. "\n/settank [mod: shift]"
		if not GetMacroInfo(btnName) then
			CreateMacro(btnName, "INV_MISC_QUESTIONMARK", btnText, nil)
		else
			EditMacro(btnName,btnName, nil, btnText, 1, 1)
		end

		TankAssist_TankToAssist = ""
	end
end